%define		kdeplasmaver	5.11.2
%define		qtver		5.3.2
%define		kpname		milou
Summary:	A dedicated search application built on top of Baloo
Name:		kp5-%{kpname}
Version:	5.11.2
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	2203d324c408276b77e9756869322ba7
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-krunner-devel
BuildRequires:	kf5-kservice-devel
BuildRequires:	kf5-plasma-framework-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A dedicated search application built on top of Baloo.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libmilou.so.5
%attr(755,root,root) %{_libdir}/libmilou.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/miloutextplugin.so
%{_libdir}/qt5/qml/org/kde/milou
%{_datadir}/kservices5/miloutextpreview.desktop
%{_datadir}/kservices5/plasma-applet-org.kde.milou.desktop
%{_datadir}/kservicetypes5/miloupreviewplugin.desktop
%{_datadir}/plasma/plasmoids/org.kde.milou
%{_datadir}/metainfo/org.kde.milou.appdata.xml
%changelog
* Mon Oct 30 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-milou.git;a=log;h=master

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 782847f
- updated to 5.11.2

* Tue Oct 10 2017 Witold Filipczyk <witekfl@poczta.onet.pl> ea0b685
- updated to 5.11.0

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 7df7e7b
- updated to 5.5.4

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e6b0541
- find_lang with kde

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dacee1
- initial

